Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ServerProtocolPolicy Class Reference

RTCORBA::ServerProtocolPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_ServerProtocolPolicy

[legend]
Collaboration diagram for TAO_ServerProtocolPolicy:

[legend]
List of all members.

## Public Methods
| TAO_ServerProtocolPolicy (const RTCORBA::ProtocolList &protocols)
| Constructor.
| TAO_ServerProtocolPolicy (const TAO_ServerProtocolPolicy &rhs)
| Copy constructor.
RTCORBA::ProtocolList& | protocols_rep (void)
virtual RTCORBA::ProtocolList* | protocols (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual void | destroy (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
virtual TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
int | hook (TAO_ORB_Core *orb_core, int &send_buffer_size, int &recv_buffer_size, int &no_delay, const char *protocol_type)
## Protected Methods
virtual | ~TAO_ServerProtocolPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object.
## Private Attributes
RTCORBA::ProtocolList | protocols_
| Attribute.

## Detailed Description

RTCORBA::ServerProtocolPolicy implementation.

This policy controls selection and configuration of communication protocols on the server-side of the RT ORB.

## Constructor & Destructor Documentation

TAO_ServerProtocolPolicy::TAO_ServerProtocolPolicy ( | const RTCORBA::ProtocolList & protocols )

| Constructor.

TAO_ServerProtocolPolicy::TAO_ServerProtocolPolicy ( | const TAO_ServerProtocolPolicy & rhs )

| Copy constructor.

TAO_ServerProtocolPolicy::~TAO_ServerProtocolPolicy ( | void )`[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_ServerProtocolPolicy::_tao_cached_type ( | void ) const`[virtual]`

TAO_Policy_Scope TAO_ServerProtocolPolicy::_tao_scope ( | void ) const`[virtual]`

CORBA::Policy_ptr TAO_ServerProtocolPolicy::copy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ServerProtocolPolicy::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

int TAO_ServerProtocolPolicy::hook ( | TAO_ORB_Core * orb_core,
| int & send_buffer_size,
| int & recv_buffer_size,
| int & no_delay,
| const char * protocol_type )`[static]`

CORBA::PolicyType TAO_ServerProtocolPolicy::policy_type ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

RTCORBA::ProtocolList * TAO_ServerProtocolPolicy::protocols ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

ACE_INLINE RTCORBA::ProtocolList & TAO_ServerProtocolPolicy::protocols_rep ( | void )

| Accessor to the underlying protocols list of the policy (does not make a copy like the idl accessor <protocols> implementation below.)

## Member Data Documentation

RTCORBA::ProtocolList TAO_ServerProtocolPolicy::protocols_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp
- RT_Policy_i.i